---
title: RTCOutboundRtpStreamStats.qualityLimitationReason
slug: Web/API/RTCOutboundRtpStreamStats/qualityLimitationReason
tags:
  - API
  - Media
  - Property
  - Quality
  - RTCOutboundRtpStreamStats
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - qualityLimitationReason
  - reason
  - stream
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>qualityLimitationReason</code></strong> property of the {{domxref("RTCOutboundRtpStreamStats")}} dictionary is a string indicating the reason why the media quality in the stream is currently being reduced by the codec during encoding, or <code>none</code> if no quality reduction is being performed.</span> This quality reduction may include changes such as reduced frame rate or resolution, or an increase in compression factor.</p>

<p>The amount of time the encoded media has had its quality reduced in each of the potential ways that can be done can be found in {{domxref("RTCOutboundRtpStreamStats.qualityLimitationDurations", "qualityLimitationDurations")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>qualityLimitationReason</em> = <em>RTCOutboundRtpStreamStats</em>.qualityLimitationReason;</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Map")}} whose keys are {{domxref("DOMString")}}s whose values come from the {{domxref("RTCQualityLimitationReason")}} enumerated type, and whose values are the duration of the media, in seconds, whose quality was reduced for that reason.</p>

<h2 id="Examples">Examples</h2>


<p class="brush: js"> </p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-RTCOutboundRtpStreamStats-qualityLimitationReason', 'RTCOutboundRtpStreamStats.qualityLimitationReason')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCOutboundRtpStreamStats.qualityLimitationReason")}}</p>
